classification
Title: Remove typing.io and typing.re from documentation
Type: Stage: resolved
Components: Documentation Versions:
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, gvanrossum, levkivskyi, miss-islington, srittau
Priority: normal Keywords: patch

Created on 2018-10-28 11:40 by srittau, last changed 2021-06-14 15:07 by miss-islington. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 10173 merged srittau, 2018-10-28 12:04
PR 10177 merged miss-islington, 2018-10-28 16:03
PR 10178 merged miss-islington, 2018-10-28 16:03
PR 26113 merged srittau, 2021-05-13 21:53
PR 26720 merged miss-islington, 2021-06-14 14:45
PR 26721 merged miss-islington, 2021-06-14 14:45
Messages (7)
msg328683 - (view) Author: Sebastian Rittau (srittau) * Date: 2018-10-28 11:40
Per the discussion in https://github.com/python/typing/issues/589 and https://github.com/python/typeshed/issues/1652, IO, BinaryIO, TextIO, Pattern, and Match should be imported directly from typing, not from typing.io and typing.re. The documentation needs to be adjusted accordingly.
msg328696 - (view) Author: Ivan Levkivskyi (levkivskyi) * (Python committer) Date: 2018-10-28 16:03
New changeset c8a8d6b347d5a6899feb7c810d28f22f3cb151b8 by Ivan Levkivskyi (Sebastian Rittau) in branch 'master':
bpo-35089: Don't mention typing.io and typing.re (GH-10173)
https://github.com/python/cpython/commit/c8a8d6b347d5a6899feb7c810d28f22f3cb151b8
msg328700 - (view) Author: miss-islington (miss-islington) Date: 2018-10-28 16:16
New changeset c516dc6e57341f24d2494514c650f4a240c1c95f by Miss Islington (bot) in branch '3.7':
bpo-35089: Don't mention typing.io and typing.re (GH-10173)
https://github.com/python/cpython/commit/c516dc6e57341f24d2494514c650f4a240c1c95f
msg328701 - (view) Author: miss-islington (miss-islington) Date: 2018-10-28 16:17
New changeset a36f04cedbbbe776deb478114c1bc0e4a6fe9380 by Miss Islington (bot) in branch '3.6':
bpo-35089: Don't mention typing.io and typing.re (GH-10173)
https://github.com/python/cpython/commit/a36f04cedbbbe776deb478114c1bc0e4a6fe9380
msg395799 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2021-06-14 14:45
New changeset 8a76683cfb842e12b57f6d276839f6c68fd94e1a by Sebastian Rittau in branch 'main':
bpo-38291: Remove mention of typing.io and typing.re again (GH-26113)
https://github.com/python/cpython/commit/8a76683cfb842e12b57f6d276839f6c68fd94e1a
msg395802 - (view) Author: miss-islington (miss-islington) Date: 2021-06-14 15:06
New changeset fc310cb862ce0411bb5daed37f7f31b75647495b by Miss Islington (bot) in branch '3.10':
bpo-38291: Remove mention of typing.io and typing.re again (GH-26113)
https://github.com/python/cpython/commit/fc310cb862ce0411bb5daed37f7f31b75647495b
msg395804 - (view) Author: miss-islington (miss-islington) Date: 2021-06-14 15:07
New changeset 7f021952b2debb51306f70ec96a94ecc7fbffc19 by Miss Islington (bot) in branch '3.9':
bpo-38291: Remove mention of typing.io and typing.re again (GH-26113)
https://github.com/python/cpython/commit/7f021952b2debb51306f70ec96a94ecc7fbffc19
History
Date User Action Args
2021-06-14 15:07:08miss-islingtonsetmessages: + msg395804
2021-06-14 15:06:37miss-islingtonsetmessages: + msg395802
2021-06-14 14:45:33miss-islingtonsetpull_requests: + pull_request25311
2021-06-14 14:45:28miss-islingtonsetpull_requests: + pull_request25309
2021-06-14 14:45:27gvanrossumsetmessages: + msg395799
2021-05-13 21:53:18srittausetpull_requests: + pull_request24758
2018-10-28 17:38:41levkivskyisetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2018-10-28 16:17:11miss-islingtonsetmessages: + msg328701
2018-10-28 16:16:40miss-islingtonsetnosy: + miss-islington
messages: + msg328700
2018-10-28 16:03:57miss-islingtonsetpull_requests: + pull_request9501
2018-10-28 16:03:45miss-islingtonsetpull_requests: + pull_request9500
2018-10-28 16:03:33levkivskyisetmessages: + msg328696
2018-10-28 14:47:32serhiy.storchakasetnosy: + gvanrossum, levkivskyi
2018-10-28 12:04:36srittausetkeywords: + patch
stage: patch review
pull_requests: + pull_request9496
2018-10-28 11:40:23srittaucreate